Jump to content

(MacOS 10.11.6 & SCS 33.7): Help? Problem during installation:


Recommended Posts

Hi everyone

 

I am very new to modding this wonderful game.

I have just managed to properly install my first mods: Item upgrade, Ruad item upgrade, sod2bg2, Spell Revision.

And then I try to install Sword Coast Stratagems V33.7, but it doesn't work: it launches the program but when I try to install any component, it says:

"

ERROR Installing [Replace +1 arrows and other projectiles with nonmagical "fine" ones], rolling back to previous state

Will uninstall   0 files for [stratagems/setup-stratagems.tp2] component 3010.

Uninstalled      0 files for [stratagems/setup-stratagems.tp2] component 3010.

ERROR: Sys_error("weidu_external/lib/lib_ini.tpa: No such file or directory")

"

I am playing on BG2EE V2.5.16.6, on MacOs 10.11.6

I use Mac OS Weidu launcher V7.5.247 to help for installing the mods above.

I don't find how to get the "weidu log".

Does anyone have any idea?

I thank you for your kindness if it seems dumb, I am totally lost * *

Edited by bananamax
Link to post
Quote

I don't find how to get the "weidu log".

It's in the game folder, it's just a text file with you can open with Notepad(windows) or similar tools. Not a Mac user.

But you might not want that as your problem is, specific mod problem, and to get to find out what the problem is, is you need to open the setup-*modname*.debug file, generally. And to do that, it's the same process, you just open it with a text opening tool.

And we are already at SCS 33.7 ...

Edited by Jarno Mikkola
Link to post

@Jarno Mikkola

thank you for your quick answer!

Here is the stratagems.debug:
 

Quote

WeiDU v 24600 Log

 ./weidu stratagems/setup-stratagems.tp2 --log logs/stratagems.debug
[./chitin.key] loaded, 877618 bytes
[./chitin.key] 189 BIFFs, 62285 resources
[./engine.lua] loaded, 104 bytes
[./weidu.conf] loaded, 17 bytes
[./lang/en_us/dialog.tlk] loaded, 12317074 bytes
[./lang/en_us/dialog.tlk] 105443 string entries
[./lang/de_de/dialog.tlk] claims to be writeable.
[./lang/de_de/dialog.tlk] claims to be a regular file.
[./lang/de_de/dialogf.tlk] claims to be writeable.
[./lang/de_de/dialogf.tlk] claims to be a regular file.
[./lang/en_us/dialog.tlk] claims to be writeable.
[./lang/en_us/dialog.tlk] claims to be a regular file.
[./lang/es_es/dialog.tlk] claims to be writeable.
[./lang/es_es/dialog.tlk] claims to be a regular file.
[./lang/es_es/dialogf.tlk] claims to be writeable.
[./lang/es_es/dialogf.tlk] claims to be a regular file.
[./lang/it_it/dialog.tlk] claims to be writeable.
[./lang/it_it/dialog.tlk] claims to be a regular file.
[./lang/it_it/dialogf.tlk] claims to be writeable.
[./lang/it_it/dialogf.tlk] claims to be a regular file.
[./lang/ko_kr/dialog.tlk] claims to be writeable.
[./lang/ko_kr/dialog.tlk] claims to be a regular file.
[./lang/pl_pl/dialog.tlk] claims to be writeable.
[./lang/pl_pl/dialog.tlk] claims to be a regular file.
[./lang/pl_pl/dialogf.tlk] claims to be writeable.
[./lang/pl_pl/dialogf.tlk] claims to be a regular file.
[./lang/ru_ru/dialog.tlk] claims to be writeable.
[./lang/ru_ru/dialog.tlk] claims to be a regular file.
[./lang/ru_ru/dialogf.tlk] claims to be writeable.
[./lang/ru_ru/dialogf.tlk] claims to be a regular file.
[./lang/zh_cn/dialog.tlk] claims to be writeable.
[./lang/zh_cn/dialog.tlk] claims to be a regular file.

Choose your language:
 0 [English]
 1 [Polski (Yarpen) - last updated version 31]
 2 [Deutsch (Leonardo Watson) - last updated version 31]
 3 [Francais (Mornagest/Isaya) - last updated version 33]
 4 [Italiano (Stoneangel/Improbabile) - last updated version 32]
 5 [Russian (Prowler/Silent) - last updated version 33]
Using Language [English]
[English] has 2 top-level TRA files
[stratagems/lang/english/setup.tra] has 216 translation strings

Using ./lang/en_us/dialog.tlk

Would you like to display the readme? [Y]es [N]o

Would you like to display the components from [Icewind Dale spells]?
[Y]es, [N]o? 
Would you like to display the components from [Gameplay tweaks]?
[Y]es, [N]o? 
Would you like to display the components from [AI enhancements]?
[Y]es, [N]o? 
Would you like to display the components from [Tactical Challenges]?
[Y]es, [N]o? SETUP-ITEMUPGRADE.TP2  0 10 Installed
SETUP-ITEMUPGRADE.TP2  0 11 Installed
SOD2BG2_IU/SOD2BG2_IU.TP2  0  0 Installed
SOD2BG2_IU/SOD2BG2_IU.TP2  0  1 Installed
SOD2BG2_IU/SOD2BG2_IU.TP2  0  3 Installed
RUAD/RUAD.TP2  0  0 Installed
RUAD/RUAD.TP2  0 10 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0  0 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0 10 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0 20 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0 30 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0 55 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0 60 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0 65 Installed

SKIPPING: [test]
    For internal use only

Install Component [Move or modify some overpowered magic items]?
nstall, or [N]ot Install or [Q]uit? 
Skipping [Move or modify some overpowered magic items]

Install Component [Replace +1 arrows and other projectiles with nonmagical "fine" ones]?
nstall, or [N]ot Install or [Q]uit? 
Installing [Replace +1 arrows and other projectiles with nonmagical "fine" ones] [33.7]
Clearing the arrays.
Clearing the variables.
Clearing the inlined files.
Clearing the macros.
Clearing the IDS map.
Stopping installation because of error.
Stopping installation because of error.
Stopping installation because of error.

ERROR Installing [Replace +1 arrows and other projectiles with nonmagical "fine" ones], rolling back to previous state
[weidu_external/backup/stratagems/3010/UNSETSTR.3010] SET_STRING uninstall info not found
Will uninstall   0 files for [stratagems/setup-stratagems.tp2] component 3010.
Uninstalled      0 files for [stratagems/setup-stratagems.tp2] component 3010.
Unable to Unlink [weidu_external/backup/stratagems/3010/READLN.3010]: Unix.Unix_error(Unix.ENOENT, "unlink", "weidu_external/backup/stratagems/3010/READLN.3010")
Unable to Unlink [weidu_external/backup/stratagems/3010/READLN.3010.TEXT]: Unix.Unix_error(Unix.ENOENT, "unlink", "weidu_external/backup/stratagems/3010/READLN.3010.TEXT")
SETUP-ITEMUPGRADE.TP2  0 10 Installed
SETUP-ITEMUPGRADE.TP2  0 11 Installed
SOD2BG2_IU/SOD2BG2_IU.TP2  0  0 Installed
SOD2BG2_IU/SOD2BG2_IU.TP2  0  1 Installed
SOD2BG2_IU/SOD2BG2_IU.TP2  0  3 Installed
RUAD/RUAD.TP2  0  0 Installed
RUAD/RUAD.TP2  0 10 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0  0 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0 10 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0 20 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0 30 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0 55 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0 60 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0 65 Installed
ERROR: Sys_error("weidu_external/lib/lib_ini.tpa: No such file or directory")
Please make a backup of the file: logs/stratagems.debug and look for support at: For help troubleshooting installation problems, go to the Sword Coast Stratagems forum at forums.gibberlings3.net.
Using Language [English]
[English] has 2 top-level TRA files
[stratagems/lang/english/setup.tra] has 216 translation strings

Install Component [Replace +1 arrows and other projectiles with nonmagical "fine" ones]?
nstall, or [N]ot Install or [Q]uit? Saving This Log:
SETUP-ITEMUPGRADE.TP2  0 10 Installed
SETUP-ITEMUPGRADE.TP2  0 11 Installed
SOD2BG2_IU/SOD2BG2_IU.TP2  0  0 Installed
SOD2BG2_IU/SOD2BG2_IU.TP2  0  1 Installed
SOD2BG2_IU/SOD2BG2_IU.TP2  0  3 Installed
RUAD/RUAD.TP2  0  0 Installed
RUAD/RUAD.TP2  0 10 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0  0 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0 10 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0 20 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0 30 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0 55 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0 60 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0 65 Installed
[c2/american/setup.tra] has 331 translation strings
[sod2bg2_iu/language/english/english.tra] has 1053 translation strings
[ruad/lang/english/setup.tra] has 5 translation strings
[ruad/lang/english/items.tra] has 135 translation strings
[spell_rev/languages/english/arcane.tra] has 485 translation strings
[spell_rev/languages/english/divine.tra] has 347 translation strings
[spell_rev/languages/english/setup.tra] has 21 translation strings

NOT INSTALLED DUE TO ERRORS Replace +1 arrows and other projectiles with nonmagical "fine" ones

        WeiDU Timings
SILENT                           0.000
CLEAR_IDS_MAP                    0.000
OUTER_INNER_PATCH                0.000
load TLK                         0.000
ACTION_IF                        0.000
CLEAR_ARRAYS                     0.000
CLEAR_EVERYTHING                 0.000
CLEAR_INLINED                    0.000
DEFINE_ACTION_MACRO              0.000
OUTER_INNER_PATCH_SAVE           0.000
<<<<<<<<                         0.000
OUTER_SET                        0.000
CLEAR_CODES                      0.000
DEFINE_PATCH_MACRO               0.000
DEFINE_ACTION_FUNCTION           0.000
CLEAR_MEMORY                     0.000
parsing .log files               0.000
tp2 uninstall                    0.000
DEFINE_PATCH_FUNCTION            0.000
INCLUDE                          0.001
READ_*                           0.001
adding translation strings       0.003
process_patch2                   0.009
loading files                    0.010
parsing .tra files               0.015
Parsing TP2 files                0.051
Parsing TPA files                0.071
unmarshal KEY                    0.075
eval_pe                          0.102
unmarshal TLK                    0.127
stuff not covered elsewhere      0.765
TOTAL                            1.233
 

I was wrong: I was on SCS 33.7
One weird thing is when I launch MacOs weidu launcher, "stratagems" appears 2 times in the list (see screenshot) / It was not the case for the other mods.

I tried to launch the setup with both of them, but the same problem appears.

I also noticed that if I ask to display the readme it works, but nothing happens for Icewind Dale spells, Gameplay tweaks, AI enhancements and Tactical Challenges.

Is that normal?

Capture d’écran 2020-12-21 à 00.27.48.png

Link to post
6 hours ago, bananamax said:

Any idea?
I am about to get crazy * *

Just basics... edit the topic title and add "on MacOs" .. or something alike. Sorry, not a user of that.

But you used "WeiDU v 24600 Log" in trying to install, there's a v247.00 here. Don't know if it matters.

Link to post

Thx again @Jarno Mikkola!

I tried with Weidu V247.00, but there I have another problem:

The setup doesn't launch properly. It was not he case with the V246.00.

Here is what it shows when I try to launch it with Mac Os Weidu Launcher V7.5.247

Spoiler

Last login: Wed Dec 30 13:27:49 on ttys000
Air-de-Susu:~ bonbontang2010$ /Users/bonbontang2010/Documents/Baldur\'s\ Gate\ II\ Enhanced\ Edition.app/Contents/Resources/Mac_Weidu_Launcher_v7.app/Contents/Resources/mwl.command ; exit;
dyld: lazy symbol binding failed: Symbol not found: ____chkstk_darwin
  Referenced from: /Users/bonbontang2010/Documents/Baldur's Gate II Enhanced Edition.app/Contents/Resources/./weidu
  Expected in: /usr/lib/libSystem.B.dylib

dyld: Symbol not found: ____chkstk_darwin
  Referenced from: /Users/bonbontang2010/Documents/Baldur's Gate II Enhanced Edition.app/Contents/Resources/./weidu
  Expected in: /usr/lib/libSystem.B.dylib

/Users/bonbontang2010/Documents/Baldur's Gate II Enhanced Edition.app/Contents/Resources/Mac_Weidu_Launcher_v7.app/Contents/Resources/mwl.command: line 3: 17875 Trace/BPT trap: 5       ./weidu stratagems/setup-stratagems.tp2 --log logs/stratagems.debug
logout
Saving session...
...copying shared history...
...saving history...truncating history files...
...completed.

[Opération terminée]

Or directly by executing the setup-stratagems

Spoiler

Last login: Wed Dec 30 13:28:29 on ttys000
/Users/bonbontang2010/Documents/Baldur\'s\ Gate\ II\ Enhanced\ Edition.app/Contents/Resources/setup-stratagems ; exit;
Air-de-Susu:~ bonbontang2010$ /Users/bonbontang2010/Documents/Baldur\'s\ Gate\ II\ Enhanced\ Edition.app/Contents/Resources/setup-stratagems ; exit;
[/Users/bonbontang2010/Documents/Baldur's Gate II Enhanced Edition.app/Contents/Resources/setup-stratagems] WeiDU version 24600

Please run this program in your Infinity Engine game directory.

FATAL ERROR: Failure("Not a game directory")

Press ENTER to exit.

I precise that I gave the "read and write" authorisations to the files...

I am once again totally lost ;)

Edited by bananamax
Link to post

Stick with Weidu v246 if that was working. And it seemed that was working fine.

Jarno, shame on you, you should be able to tell by the first post that this isn't an OS issue, they had already installed several mods. And Weidu itself was working fine. It hit a snag in the SCS code that Weidu was running.

I have never installed that particular SCS component on my MacOS system, because I don't like it/have preferred variations. But it seems like SCS is expecting the Weidu_external directory to be there, and it is not? Maybe the directory would get auto-created by Weidu, but that isn't happening here on MacOS? Which is an OS-level difference, but not something fixable on the player's side of things.

Based on my informed speculation, my advice is:

  1. Go back to the former setup as described in the first post, since at least the Weidu installer was running at that point.
  2. Manually create a "weidu_external" directory in your game folder, and create a "lib" directory inside "weidu_external" folder.
  3. Try to install that component.
Link to post
1 hour ago, subtledoctor said:

Jarno, shame on you, you should be able to tell by the first post that this isn't an OS issue...

Right, then why the cheese is the v247 not able to run while the previous was(, while that failed too)... if it's not an Operation System issue, then what is it ? Aka, you are just speculating yourself too, this is not concreate evidence of anything else. So I won't feel shame, but maybe you should, for pointing at just the mirrors.

Link to post
33 minutes ago, Jarno Mikkola said:

Right, then why the cheese is the v247 not able to run while the previous was(, while that failed too)... if it's not an Operation System issue, then what is it ? Aka, you are just speculating yourself too, this is not concreate evidence of anything else. So I won't feel shame, but maybe you should, for pointing at just the mirrors.

Who cares? They ran Weidu just fine before, only after your comment did they start changing their setup and get to the point where the Weidu executable itself would not run. MacOS 10.11 is a bit old, and IIRC Weidu v247 has some new changes geared toward the newest version of the OS, so it's possible that v247 simply won't work on their system. But that's beside the point: v246 worked just fine, so they should stick with that.

FWIW as a point of reference, I have no problem installing SCS on my computer, which is MacOS 10.14.  But then I have several other mods installed first which themselves create the Weidu_External directory.  (And I think I'm using Weidu v246 as well.)  So it seems like the most obvious difference between me and this poster is not the difference between MacOS 10.11 and 10.14, but the fact that the Weidu_External directory already exists on my computer and does not on theirs. Simplest fix? Create it manually.

Speculation? Yes... but speculation based in reason and some relevant facts. 

Link to post

Thx everyone!!

It's a pleasure to read you * *

There was already a folder weidu_external in the main directory. It contains only a backup folder/ it is empty.

I created a lib directory.
But it didn't fix the problem, here is the debug:

Spoiler

WeiDU v 24600 Log

 ./weidu stratagems/setup-stratagems.tp2 --log logs/stratagems.debug
[./chitin.key] loaded, 877618 bytes
[./chitin.key] 189 BIFFs, 62285 resources
[./engine.lua] loaded, 104 bytes
[./weidu.conf] loaded, 17 bytes
[./lang/en_us/dialog.tlk] loaded, 12317074 bytes
[./lang/en_us/dialog.tlk] 105443 string entries
[./lang/de_de/dialog.tlk] claims to be writeable.
[./lang/de_de/dialog.tlk] claims to be a regular file.
[./lang/de_de/dialogf.tlk] claims to be writeable.
[./lang/de_de/dialogf.tlk] claims to be a regular file.
[./lang/en_us/dialog.tlk] claims to be writeable.
[./lang/en_us/dialog.tlk] claims to be a regular file.
[./lang/es_es/dialog.tlk] claims to be writeable.
[./lang/es_es/dialog.tlk] claims to be a regular file.
[./lang/es_es/dialogf.tlk] claims to be writeable.
[./lang/es_es/dialogf.tlk] claims to be a regular file.
[./lang/it_it/dialog.tlk] claims to be writeable.
[./lang/it_it/dialog.tlk] claims to be a regular file.
[./lang/it_it/dialogf.tlk] claims to be writeable.
[./lang/it_it/dialogf.tlk] claims to be a regular file.
[./lang/ko_kr/dialog.tlk] claims to be writeable.
[./lang/ko_kr/dialog.tlk] claims to be a regular file.
[./lang/pl_pl/dialog.tlk] claims to be writeable.
[./lang/pl_pl/dialog.tlk] claims to be a regular file.
[./lang/pl_pl/dialogf.tlk] claims to be writeable.
[./lang/pl_pl/dialogf.tlk] claims to be a regular file.
[./lang/ru_ru/dialog.tlk] claims to be writeable.
[./lang/ru_ru/dialog.tlk] claims to be a regular file.
[./lang/ru_ru/dialogf.tlk] claims to be writeable.
[./lang/ru_ru/dialogf.tlk] claims to be a regular file.
[./lang/zh_cn/dialog.tlk] claims to be writeable.
[./lang/zh_cn/dialog.tlk] claims to be a regular file.

Choose your language:
 0 [English]
 1 [Polski (Yarpen) - last updated version 31]
 2 [Deutsch (Leonardo Watson) - last updated version 31]
 3 [Francais (Mornagest/Isaya) - last updated version 33]
 4 [Italiano (Stoneangel/Improbabile) - last updated version 32]
 5 [Russian (Prowler/Silent) - last updated version 33]
Using Language [English]
[English] has 2 top-level TRA files
[stratagems/lang/english/setup.tra] has 216 translation strings

Using ./lang/en_us/dialog.tlk

Would you like to display the readme? [Y]es [N]o

Would you like to display the components from [Icewind Dale spells]?
[Y]es, [N]o?
Would you like to display the components from [Gameplay tweaks]?
[Y]es, [N]o?
Would you like to display the components from [AI enhancements]?
[Y]es, [N]o?
Would you like to display the components from [Tactical Challenges]?
[Y]es, [N]o? SETUP-ITEMUPGRADE.TP2  0 10 Installed
SETUP-ITEMUPGRADE.TP2  0 11 Installed
SOD2BG2_IU/SOD2BG2_IU.TP2  0  0 Installed
SOD2BG2_IU/SOD2BG2_IU.TP2  0  1 Installed
SOD2BG2_IU/SOD2BG2_IU.TP2  0  3 Installed
RUAD/RUAD.TP2  0  0 Installed
RUAD/RUAD.TP2  0 10 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0  0 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0 10 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0 20 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0 30 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0 55 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0 60 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0 65 Installed

SKIPPING: [test]
    For internal use only

Install Component [Move or modify some overpowered magic items]?
nstall, or [N]ot Install or [Q]uit?
Skipping [Move or modify some overpowered magic items]

Install Component [Replace +1 arrows and other projectiles with nonmagical "fine" ones]?
nstall, or [N]ot Install or [Q]uit?
Installing [Replace +1 arrows and other projectiles with nonmagical "fine" ones] [33.7]
Clearing the arrays.
Clearing the variables.
Clearing the inlined files.
Clearing the macros.
Clearing the IDS map.
Stopping installation because of error.
Stopping installation because of error.
Stopping installation because of error.

ERROR Installing [Replace +1 arrows and other projectiles with nonmagical "fine" ones], rolling back to previous state
[weidu_external/backup/stratagems/3010/UNSETSTR.3010] SET_STRING uninstall info not found
Will uninstall   0 files for [stratagems/setup-stratagems.tp2] component 3010.
Uninstalled      0 files for [stratagems/setup-stratagems.tp2] component 3010.
Unable to Unlink [weidu_external/backup/stratagems/3010/READLN.3010]: Unix.Unix_error(Unix.ENOENT, "unlink", "weidu_external/backup/stratagems/3010/READLN.3010")
Unable to Unlink [weidu_external/backup/stratagems/3010/READLN.3010.TEXT]: Unix.Unix_error(Unix.ENOENT, "unlink", "weidu_external/backup/stratagems/3010/READLN.3010.TEXT")
SETUP-ITEMUPGRADE.TP2  0 10 Installed
SETUP-ITEMUPGRADE.TP2  0 11 Installed
SOD2BG2_IU/SOD2BG2_IU.TP2  0  0 Installed
SOD2BG2_IU/SOD2BG2_IU.TP2  0  1 Installed
SOD2BG2_IU/SOD2BG2_IU.TP2  0  3 Installed
RUAD/RUAD.TP2  0  0 Installed
RUAD/RUAD.TP2  0 10 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0  0 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0 10 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0 20 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0 30 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0 55 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0 60 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0 65 Installed
ERROR: Sys_error("weidu_external/lib/lib_ini.tpa: No such file or directory")
Please make a backup of the file: logs/stratagems.debug and look for support at: For help troubleshooting installation problems, go to the Sword Coast Stratagems forum at forums.gibberlings3.net.
Using Language [English]
[English] has 2 top-level TRA files
[stratagems/lang/english/setup.tra] has 216 translation strings

Install Component [Replace +1 arrows and other projectiles with nonmagical "fine" ones]?
nstall, or [N]ot Install or [Q]uit? Saving This Log:
SETUP-ITEMUPGRADE.TP2  0 10 Installed
SETUP-ITEMUPGRADE.TP2  0 11 Installed
SOD2BG2_IU/SOD2BG2_IU.TP2  0  0 Installed
SOD2BG2_IU/SOD2BG2_IU.TP2  0  1 Installed
SOD2BG2_IU/SOD2BG2_IU.TP2  0  3 Installed
RUAD/RUAD.TP2  0  0 Installed
RUAD/RUAD.TP2  0 10 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0  0 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0 10 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0 20 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0 30 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0 55 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0 60 Installed
SPELL_REV/SETUP-SPELL_REV.TP2  0 65 Installed
[c2/american/setup.tra] has 331 translation strings
[sod2bg2_iu/language/english/english.tra] has 1053 translation strings
[ruad/lang/english/setup.tra] has 5 translation strings
[ruad/lang/english/items.tra] has 135 translation strings
[spell_rev/languages/english/arcane.tra] has 485 translation strings
[spell_rev/languages/english/divine.tra] has 347 translation strings
[spell_rev/languages/english/setup.tra] has 21 translation strings

NOT INSTALLED DUE TO ERRORS Replace +1 arrows and other projectiles with nonmagical "fine" ones

        WeiDU Timings
SILENT                           0.000
CLEAR_IDS_MAP                    0.000
load TLK                         0.000
OUTER_INNER_PATCH                0.000
CLEAR_ARRAYS                     0.000
ACTION_IF                        0.000
CLEAR_EVERYTHING                 0.000
CLEAR_INLINED                    0.000
DEFINE_ACTION_MACRO              0.000
OUTER_INNER_PATCH_SAVE           0.000
<<<<<<<<                         0.000
OUTER_SET                        0.000
CLEAR_CODES                      0.000
DEFINE_PATCH_MACRO               0.000
CLEAR_MEMORY                     0.000
DEFINE_ACTION_FUNCTION           0.000
parsing .log files               0.000
tp2 uninstall                    0.000
DEFINE_PATCH_FUNCTION            0.000
INCLUDE                          0.001
READ_*                           0.001
adding translation strings       0.003
loading files                    0.010
process_patch2                   0.010
parsing .tra files               0.015
Parsing TP2 files                0.055
unmarshal KEY                    0.073
Parsing TPA files                0.074
eval_pe                          0.110
unmarshal TLK                    0.133
stuff not covered elsewhere      0.826
TOTAL                            1.313

 

I am not really used to programmation but it seems that the problem rely on the lack of the file weidu_external/lib/lib_ini.tpa ?
it also seems that it's not possible to create anything in the backup folder, isn't it?

And what do you think of the fact that "stratagems "appears 2 times in the list of Mac Os weidu launcher (cf. 3rd post) ?

Thx so much!!!
 

Link to post

Ah right, it’s not that the folder wasn’t found, it’s the file. Sorry, I should have read the post more thoroughly. In that case it might be an issue with SCS - perhaps that component expects the file to already have been created, and your particular set if choices is one that was not tested? This is more speculation on my part, but I don’t know how else to explain the “file not found” error.

3 hours ago, bananamax said:

And what do you think of the fact that "stratagems "appears 2 times in the list of Mac Os weidu launcher

You install only the IWD spells in the first instance, and then quit the installer. Then install the rest of SCS at the later instance. 

(I believe Weidu v248 is going to have a feature that will make that much clearer and easier.)

Link to post

Ok @subtledoctor

This problem appears for any components of stratagems that I try to install: I showed the debug log with the "replace +1 arrows" , but this is the same for any other.

I tried to install IWD spells first but it fails the same way.

I tried different combinations but this is always the same error message

Edited by bananamax
Link to post
Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...